=== modified file 'INSTALL'
--- INSTALL	2008-07-08 12:08:32 +0000
+++ INSTALL	2008-07-09 11:56:03 +0000
@@ -2,7 +2,7 @@
 *************************
 
 Copyright (C) 1994, 1995, 1996, 1999, 2000, 2001, 2002, 2004, 2005,
-2006 Free Software Foundation, Inc.
+2006, 2007 Free Software Foundation, Inc.
 
 This file is free documentation; the Free Software Foundation gives
 unlimited permission to copy, distribute and modify it.
@@ -67,6 +67,9 @@
      all sorts of other programs in order to regenerate files that came
      with the distribution.
 
+  6. Often, you can also type `make uninstall' to remove the installed
+     files again.
+
 Compilers and Options
 =====================
 

=== modified file 'Makefile.am'
--- Makefile.am	2008-07-08 16:48:17 +0000
+++ Makefile.am	2008-07-09 12:46:24 +0000
@@ -23,9 +23,9 @@
 			sql-common vio \
 			strings mysys $(d_dbug) \
                         extra \
-                        libmysql client storage plugin \
+                        libdrizzle client storage plugin \
                         sql \
-			mysql-test support-files
+			test support-files
 
 DIST_SUBDIRS =		$(SUBDIRS) mysys/tests strings/tests
 
@@ -51,29 +51,29 @@
 #
 # If you are running in a shared environment, users can avoid clashing
 # port numbers by setting individual small numbers 1-100 to the
-# environment variable MTR_BUILD_THREAD. The script "mysql-test-run"
+# environment variable MTR_BUILD_THREAD. The script "drizzle-test-run"
 # will then calculate the various port numbers it needs from this,
 # making sure each user use different ports.
 
 test-ps:
-	cd mysql-test ; \
-	    @PERL@ ./mysql-test-run.pl $(force) --ps-protocol --mysqld=--binlog-format=mixed
+	cd test ; \
+	    @PERL@ ./drizzle-test-run.pl $(force) --ps-protocol --mysqld=--binlog-format=mixed
 
 test-nr:
-	cd mysql-test ; \
-	    @PERL@ ./mysql-test-run.pl $(force) --mysqld=--binlog-format=row
+	cd test ; \
+	    @PERL@ ./drizzle-test-run.pl $(force) --mysqld=--binlog-format=row
 
 test-pr:
-	cd mysql-test ; \
-	    @PERL@ ./mysql-test-run.pl $(force) $(mem) --ps-protocol --mysqld=--binlog-format=row
+	cd test ; \
+	    @PERL@ ./drizzle-test-run.pl $(force) $(mem) --ps-protocol --mysqld=--binlog-format=row
 
 test-ns:
-	cd mysql-test ; \
-	    @PERL@ ./mysql-test-run.pl $(force) $(mem) --mysqld=--binlog-format=mixed
+	cd test ; \
+	    @PERL@ ./drizzle-test-run.pl $(force) $(mem) --mysqld=--binlog-format=mixed
 
 test-binlog-statement:
-	cd mysql-test ; \
-	    @PERL@ ./mysql-test-run.pl $(force) --mysqld=--binlog-format=statement
+	cd test ; \
+	    @PERL@ ./drizzle-test-run.pl $(force) --mysqld=--binlog-format=statement
 
 test: test-drizzle
 
@@ -92,30 +92,30 @@
 	$(MAKE) force=--force mem=--mem test
 
 test-bt:
-	-cd mysql-test ; MTR_BUILD_THREAD=auto \
-	    @PERL@ ./mysql-test-run.pl --force --comment=funcs1_ps --ps-protocol --suite=funcs_1
-	-cd mysql-test ; MTR_BUILD_THREAD=auto \
-	    @PERL@ ./mysql-test-run.pl --force --comment=funcs2 --suite=funcs_2
-	-cd mysql-test ; MTR_BUILD_THREAD=auto \
-	    @PERL@ ./mysql-test-run.pl --force --comment=rpl --suite=rpl
-	-if [ -d mysql-test/suite/nist ] ; then \
-	  cd mysql-test ; MTR_BUILD_THREAD=auto \
-	      @PERL@ ./mysql-test-run.pl --comment=NIST+normal --force --suite=nist ; \
-	fi
-	-if [ -d mysql-test/suite/nist ] ; then \
-	  cd mysql-test ; MTR_BUILD_THREAD=auto \
-	      @PERL@ ./mysql-test-run.pl --comment=NIST+ps --force --suite=nist --ps-protocol ; \
-	fi
-	-cd mysql-test ; MTR_BUILD_THREAD=auto \
-	    @PERL@ ./mysql-test-run.pl --force --comment=stress --suite=stress
+	-cd test ; MTR_BUILD_THREAD=auto \
+	    @PERL@ ./drizzle-test-run.pl --force --comment=funcs1_ps --ps-protocol --suite=funcs_1
+	-cd test ; MTR_BUILD_THREAD=auto \
+	    @PERL@ ./drizzle-test-run.pl --force --comment=funcs2 --suite=funcs_2
+	-cd test ; MTR_BUILD_THREAD=auto \
+	    @PERL@ ./drizzle-test-run.pl --force --comment=rpl --suite=rpl
+	-if [ -d test/suite/nist ] ; then \
+	  cd test ; MTR_BUILD_THREAD=auto \
+	      @PERL@ ./drizzle-test-run.pl --comment=NIST+normal --force --suite=nist ; \
+	fi
+	-if [ -d test/suite/nist ] ; then \
+	  cd test ; MTR_BUILD_THREAD=auto \
+	      @PERL@ ./drizzle-test-run.pl --comment=NIST+ps --force --suite=nist --ps-protocol ; \
+	fi
+	-cd test ; MTR_BUILD_THREAD=auto \
+	    @PERL@ ./drizzle-test-run.pl --force --comment=stress --suite=stress
 
 # Re-enable the "jp" suite when bug#28563 is fixed
-#	-cd mysql-test ; MTR_BUILD_THREAD=auto \
-#	    @PERL@ ./mysql-test-run.pl --force --comment=jp --suite=jp
+#	-cd test ; MTR_BUILD_THREAD=auto \
+#	    @PERL@ ./drizzle-test-run.pl --force --comment=jp --suite=jp
 
 test-bt-debug:
-	-cd mysql-test ; MTR_BUILD_THREAD=auto \
-	    @PERL@ ./mysql-test-run.pl --comment=debug  --force --timer \
+	-cd test ; MTR_BUILD_THREAD=auto \
+	    @PERL@ ./drizzle-test-run.pl --comment=debug  --force --timer \
 	        --skip-rpl --report-features
 
 # Keep these for a while
@@ -126,29 +126,29 @@
 test-force-full-pl: test-force-full
 
 test-ext-funcs:
-	cd mysql-test ; \
-	    @PERL@ ./mysql-test-run.pl --force --suite=funcs_1 ; \
-	    @PERL@ ./mysql-test-run.pl --force --suite=funcs_2
+	cd test ; \
+	    @PERL@ ./drizzle-test-run.pl --force --suite=funcs_1 ; \
+	    @PERL@ ./drizzle-test-run.pl --force --suite=funcs_2
 
 test-ext-rpl:
-	cd mysql-test ; \
-	    @PERL@ ./mysql-test-run.pl --force --suite=rpl
+	cd test ; \
+	    @PERL@ ./drizzle-test-run.pl --force --suite=rpl
 
 test-ext-jp:
-	cd mysql-test ; \
-	    @PERL@ ./mysql-test-run.pl --force --suite=jp
+	cd test ; \
+	    @PERL@ ./drizzle-test-run.pl --force --suite=jp
 
 test-ext-stress:
-	cd mysql-test ; \
-	    @PERL@ ./mysql-test-run.pl --force --big-test --suite=stress
+	cd test ; \
+	    @PERL@ ./drizzle-test-run.pl --force --big-test --suite=stress
 
 test-ext:	test-ext-funcs test-ext-rpl test-ext-jp test-ext-stress
 
 test-fast:
-	cd mysql-test ; \
-	    @PERL@ ./mysql-test-run.pl $(subset) --force --skip-innodb --skip-im --skip-rpl ; \
-	    @PERL@ ./mysql-test-run.pl $(subset) --force --suite=funcs_1 --do-test=myisam ; \
-	    @PERL@ ./mysql-test-run.pl $(subset) --force --suite=stress --do-test=ddl_myisam 
+	cd test ; \
+	    @PERL@ ./drizzle-test-run.pl $(subset) --force --skip-innodb --skip-im --skip-rpl ; \
+	    @PERL@ ./drizzle-test-run.pl $(subset) --force --suite=funcs_1 --do-test=myisam ; \
+	    @PERL@ ./drizzle-test-run.pl $(subset) --force --suite=stress --do-test=ddl_myisam 
 
 test-fast-view:
 	$(MAKE) subset=--view-protocol test-fast
@@ -165,8 +165,8 @@
 	        test-fast-cursor 
 
 test-drizzle:
-	cd mysql-test ; \
-	 @PERL@ ./mysql-test-run.pl --fast --reorder --force \
+	cd test ; \
+	@PERL@ ./drizzle-test-run.pl --fast --reorder --force \
 		join_crash \
 		join_nested \
 		join_outer_innodb \

=== modified file 'client/Makefile.am'
--- client/Makefile.am	2008-07-08 21:42:24 +0000
+++ client/Makefile.am	2008-07-09 11:56:03 +0000
@@ -24,7 +24,7 @@
 LIBS =				@CLIENT_LIBS@ -lz
 
 LDADD=				$(top_builddir)/sql-common/libsqlcommon.la \
-				$(top_builddir)/libmysql/libmysqlclient.la -lz
+				$(top_builddir)/libdrizzle/libdrizzle.la -lz
 
 
 noinst_HEADERS =		sql_string.h completion_hash.h my_readline.h \

=== modified file 'client/client_priv.h'
--- client/client_priv.h	2008-07-01 16:35:56 +0000
+++ client/client_priv.h	2008-07-09 12:31:20 +0000
@@ -18,7 +18,7 @@
 #include <my_global.h>
 #include <my_sys.h>
 #include <m_string.h>
-#include <mysql.h>
+#include <drizzle.h>
 #include <errmsg.h>
 #include <my_getopt.h>
 

=== modified file 'client/mysql.cc'
--- client/mysql.cc	2008-07-08 16:17:31 +0000
+++ client/mysql.cc	2008-07-09 12:46:24 +0000
@@ -1143,10 +1143,10 @@
   window_resize(0);
 #endif
 
-  put_info("Welcome to the MySQL monitor.  Commands end with ; or \\g.",
+  put_info("Welcome to the Drizzle client..  Commands end with ; or \\g.",
 	   INFO_INFO);
   sprintf((char*) glob_buffer.ptr(),
-	  "Your MySQL connection id is %lu\nServer version: %s\n",
+	  "Your Drizzle connection id is %lu\nServer version: %s\n",
 	  mysql_thread_id(&mysql), server_version_string(&mysql));
   put_info((char*) glob_buffer.ptr(),INFO_INFO);
 
@@ -2404,7 +2404,7 @@
     cmd++;
   }
 
-  /* hash MySQL functions (to be implemented) */
+  /* hash Drizzle functions (to be implemented) */
 
   /* hash all database names */
   if (mysql_query(&mysql,"show databases") == 0)
@@ -2709,14 +2709,7 @@
 	  return com_server_help(buffer,line,help_arg);
   }
 
-  put_info("\nFor information about MySQL products and services, visit:\n"
-           "   http://www.mysql.com/\n"
-           "For developer information, including the MySQL Reference Manual, "
-           "visit:\n"
-           "   http://dev.mysql.com/\n"
-           "To buy MySQL Network Support, training, or other products, visit:\n"
-           "   https://shop.mysql.com/\n", INFO_INFO);
-  put_info("List of all MySQL commands:", INFO_INFO);
+  put_info("List of all Drizzle commands:", INFO_INFO);
   if (!named_cmds)
     put_info("Note that all text commands must be first on line and end with ';'",INFO_INFO);
   for (i = 0; commands[i].name; i++)

=== modified file 'client/mysqladmin.cc'
--- client/mysqladmin.cc	2008-07-05 10:49:39 +0000
+++ client/mysqladmin.cc	2008-07-09 12:31:20 +0000
@@ -19,7 +19,6 @@
 #include <signal.h>
 #include <my_pthread.h>				/* because of signal()	*/
 #include <sys/stat.h>
-#include <mysql.h>
 
 #ifdef LATER_HAVE_NDBCLUSTER_DB
 #include "../ndb/src/mgmclient/ndb_mgmclient.h"

=== modified file 'client/mysqlcheck.c'
--- client/mysqlcheck.c	2008-07-05 10:49:39 +0000
+++ client/mysqlcheck.c	2008-07-09 12:31:20 +0000
@@ -19,7 +19,7 @@
 
 #include "client_priv.h"
 #include <m_ctype.h>
-#include <mysql_version.h>
+#include <drizzle_version.h>
 #include <mysqld_error.h>
 
 /* Exit codes */

=== modified file 'client/mysqldump.c'
--- client/mysqldump.c	2008-07-08 18:37:01 +0000
+++ client/mysqldump.c	2008-07-09 12:31:20 +0000
@@ -46,8 +46,7 @@
 #include <stdarg.h>
 
 #include "client_priv.h"
-#include "mysql.h"
-#include "mysql_version.h"
+#include "drizzle_version.h"
 #include "mysqld_error.h"
 
 /* Exit codes */

=== modified file 'client/mysqlimport.c'
--- client/mysqlimport.c	2008-07-05 10:49:39 +0000
+++ client/mysqlimport.c	2008-07-09 12:31:20 +0000
@@ -27,7 +27,7 @@
 #define IMPORT_VERSION "3.7"
 
 #include "client_priv.h"
-#include "mysql_version.h"
+#include "drizzle_version.h"
 #ifdef HAVE_LIBPTHREAD
 #include <my_pthread.h>
 #endif

=== modified file 'client/mysqlshow.c'
--- client/mysqlshow.c	2008-07-07 12:48:50 +0000
+++ client/mysqlshow.c	2008-07-09 12:31:20 +0000
@@ -20,7 +20,6 @@
 #include "client_priv.h"
 #include <my_sys.h>
 #include <m_string.h>
-#include <mysql.h>
 #include <mysqld_error.h>
 #include <signal.h>
 #include <stdarg.h>

=== modified file 'client/mysqltest.cc'
--- client/mysqltest.cc	2008-07-08 16:48:17 +0000
+++ client/mysqltest.cc	2008-07-09 12:31:20 +0000
@@ -35,7 +35,7 @@
 #include <pcrecpp.h>
 
 #include "client_priv.h"
-#include <mysql_version.h>
+#include <drizzle_version.h>
 #include <mysqld_error.h>
 #include <m_ctype.h>
 #include <my_dir.h>

=== modified file 'configure.ac'
--- configure.ac	2008-07-08 22:03:51 +0000
+++ configure.ac	2008-07-09 12:46:24 +0000
@@ -273,8 +273,8 @@
 
 # libmysqlclient versioning when linked with GNU ld.
 if $LD --version 2>/dev/null|grep -q GNU; then
-  LD_VERSION_SCRIPT="-Wl,--version-script=\$(top_builddir)/libmysql/libmysql.ver"
-  AC_CONFIG_FILES(libmysql/libmysql.ver)
+  LD_VERSION_SCRIPT="-Wl,--version-script=\$(top_builddir)/libdrizzle/libdrizzle.ver"
+  AC_CONFIG_FILES(libdrizzle/libdrizzle.ver)
 fi
 AC_SUBST(LD_VERSION_SCRIPT)
 
@@ -1208,15 +1208,15 @@
 AC_CONFIG_FILES(Makefile extra/Makefile mysys/Makefile mysys/tests/Makefile dnl
  strings/Makefile strings/tests/Makefile storage/Makefile dnl
  vio/Makefile dnl
- libmysql/Makefile client/Makefile dnl
+ libdrizzle/Makefile client/Makefile dnl
  sql/Makefile sql/share/Makefile dnl
  sql/sql_builtin.cc sql-common/Makefile dnl
  dbug/Makefile include/Makefile dnl
  support-files/Makefile dnl
- mysql-test/Makefile mysql-test/install_test_db dnl
- include/mysql_version.h plugin/Makefile dnl
- sql/drizzled_safe support-files/libmysqlclient.pc dnl
- support-files/mysql.server support-files/mysql-log-rotate)
+ test/Makefile test/install_test_db dnl
+ include/drizzle_version.h plugin/Makefile dnl
+ sql/drizzled_safe support-files/libdrizzle.pc dnl
+ support-files/drizzle.server support-files/drizzle-log-rotate)
 
 AC_CONFIG_COMMANDS([default], , test -z "$CONFIG_HEADERS" || echo timestamp > stamp-h)
 

=== modified file 'include/Makefile.am'
--- include/Makefile.am	2008-07-07 12:02:27 +0000
+++ include/Makefile.am	2008-07-09 12:31:20 +0000
@@ -16,8 +16,8 @@
 # MA 02111-1307, USA
 
 BUILT_SOURCES =		$(HEADERS_GEN) link_sources
-HEADERS_GEN =		mysql_version.h
-HEADERS_ABI =		mysql.h mysql_com.h mysql_time.h \
+HEADERS_GEN =		drizzle_version.h
+HEADERS_ABI =		drizzle.h drizzle_com.h drizzle_time.h \
 			my_list.h my_alloc.h typelib.h mysql/plugin.h \
 			mysql/plugin_audit.h mysql/plugin_ftparser.h
 pkginclude_HEADERS =	$(HEADERS_ABI) my_dbug.h m_string.h my_sys.h \
@@ -34,12 +34,12 @@
 			my_nosys.h queues.h sha1.h sha2.h \
 			my_tree.h my_trie.h hash.h thr_alarm.h \
 			thr_lock.h t_ctype.h violite.h my_md5.h base64.h \
-			mysql_version.h.in my_handler.h my_time.h
+			drizzle_version.h.in my_handler.h my_time.h
 
 # Remove built files and the symlinked directories
 CLEANFILES =            $(BUILT_SOURCES)
 
-EXTRA_DIST =            mysql_h.ic
+EXTRA_DIST =            drizzle_h.ic
 
 # Some include files that may be moved and patched by configure
 DISTCLEANFILES =	sched.h $(CLEANFILES)
@@ -50,18 +50,18 @@
 # These files should not be included in distributions since they are
 # generated by configure from the .h.in files
 dist-hook:
-	$(RM) -f $(distdir)/mysql_version.h 
+	$(RM) -f $(distdir)/drizzle_version.h 
 
 #
 # Rules for checking that ABI has not changed
 #
 
 # Create a icheck file and compare it to the reference
-abi_check: $(HEADERS_ABI) mysql_version.h mysql_h.ic
+abi_check: $(HEADERS_ABI) drizzle_version.h mysql_h.ic
 	@set -ex; \
 	if [ @ICHECK@ != no ] ; then \
 	  @ICHECK@ --canonify --skip-from-re /usr/ -o $@ $(HEADERS_ABI); \
-	  @ICHECK@ --compare mysql_h.ic $@; \
+	  @ICHECK@ --compare drizzle_h.ic $@; \
 	fi; \
 	touch abi_check;
 

=== renamed file 'include/mysql.h' => 'include/drizzle.h'
--- include/mysql.h	2008-07-06 04:37:08 +0000
+++ include/drizzle.h	2008-07-09 12:46:24 +0000
@@ -44,9 +44,9 @@
 #endif /* my_socket_defined */
 #endif /* _global_h */
 
-#include "mysql_version.h"
-#include "mysql_com.h"
-#include "mysql_time.h"
+#include "drizzle_version.h"
+#include "drizzle_com.h"
+#include "drizzle_time.h"
 
 #include "my_list.h" /* for LISTs used in 'MYSQL' */
 

=== renamed file 'include/mysql_com.h' => 'include/drizzle_com.h'
=== renamed file 'include/mysql_h.ic' => 'include/drizzle_h.ic'
=== renamed file 'include/mysql_time.h' => 'include/drizzle_time.h'
=== renamed file 'include/mysql_version.h.in' => 'include/drizzle_version.h.in'
=== modified file 'include/my_time.h'
--- include/my_time.h	2008-07-08 01:01:10 +0000
+++ include/my_time.h	2008-07-09 12:31:20 +0000
@@ -21,7 +21,7 @@
 #ifndef _my_time_h_
 #define _my_time_h_
 #include "my_global.h"
-#include "mysql_time.h"
+#include "drizzle_time.h"
 
 C_MODE_START
 

=== renamed directory 'libmysql' => 'libdrizzle'
=== modified file 'libdrizzle/Makefile.am'
--- libmysql/Makefile.am	2008-07-07 12:02:27 +0000
+++ libdrizzle/Makefile.am	2008-07-09 11:56:03 +0000
@@ -28,16 +28,16 @@
 MYSQLSHAREdir =			$(pkgdatadir)
 MYSQLBASEdir=			$(prefix)
 
-pkglib_LTLIBRARIES = libmysqlclient.la
-libmysqlclient_la_SOURCES = libmysql.c get_password.c \
+pkglib_LTLIBRARIES = libdrizzle.la
+libdrizzle_la_SOURCES = libdrizzle.c get_password.c \
                             client.c net_serv.c
-libmysqlclient_la_LIBADD = ${sql_cmn_objects} ${sqlobjects} \
+libdrizzle_la_LIBADD = ${sql_cmn_objects} ${sqlobjects} \
 			   ${top_builddir}/mysys/libmysyslt.la \
 			   ${top_builddir}/strings/libmystringslt.la \
 			   $(d_dbug) \
 			   ${top_builddir}/sql-common/libsqlcommon.la \
 			   ${top_builddir}/vio/libviolt.la 
-libmysqlclient_la_LDFLAGS = -version-info @SHARED_LIB_VERSION@ @LD_VERSION_SCRIPT@ 
+libdrizzle_la_LDFLAGS = -version-info @SHARED_LIB_VERSION@ @LD_VERSION_SCRIPT@ 
 
 DEFS =			-DDEFAULT_CHARSET_HOME="\"$(MYSQLBASEdir)\"" \
 			-DDATADIR="\"$(MYSQLDATAdir)\"" \
@@ -50,7 +50,6 @@
 LIBS =		@CLIENT_LIBS@ 
 AM_CPPFLAGS =	-I$(top_builddir)/include -I$(top_srcdir)/vio -I$(top_srcdir)/mysys -I$(top_builddir)/sql-common
 
-EXTRA_DIST = libmysql.def
 noinst_HEADERS = client_settings.h
 
 CLEANFILES =		$(target_libadd) $(SHLIBOBJS) \

=== modified file 'libdrizzle/client.c'
--- libmysql/client.c	2008-07-08 01:31:43 +0000
+++ libdrizzle/client.c	2008-07-09 12:31:20 +0000
@@ -36,7 +36,7 @@
 
 #include <my_global.h>
 
-#include "mysql.h"
+#include "drizzle.h"
 
 #include <netdb.h>
 
@@ -64,7 +64,7 @@
 #include <mysys_err.h>
 #include <m_string.h>
 #include <m_ctype.h>
-#include "mysql_version.h"
+#include "drizzle_version.h"
 #include "mysqld_error.h"
 #include "errmsg.h"
 #include <violite.h>

=== modified file 'libdrizzle/get_password.c'
--- libmysql/get_password.c	2008-06-25 05:29:13 +0000
+++ libdrizzle/get_password.c	2008-07-09 12:31:20 +0000
@@ -23,7 +23,7 @@
 */
 #include <my_global.h>
 #include <my_sys.h>
-#include "mysql.h"
+#include "drizzle.h"
 #include <m_string.h>
 #include <m_ctype.h>
 

=== renamed file 'libmysql/libmysql.c' => 'libdrizzle/libdrizzle.c'
--- libmysql/libmysql.c	2008-07-08 01:31:43 +0000
+++ libdrizzle/libdrizzle.c	2008-07-09 12:31:20 +0000
@@ -23,8 +23,8 @@
 #include <mysys_err.h>
 #include <m_string.h>
 #include <m_ctype.h>
-#include "mysql.h"
-#include "mysql_version.h"
+#include "drizzle.h"
+#include "drizzle_version.h"
 #include "mysqld_error.h"
 #include "errmsg.h"
 #include <violite.h>

=== renamed file 'libmysql/libmysql.ver.in' => 'libdrizzle/libdrizzle.ver.in'
--- libmysql/libmysql.ver.in	2008-06-25 05:29:13 +0000
+++ libdrizzle/libdrizzle.ver.in	2008-07-09 11:56:03 +0000
@@ -1,1 +1,1 @@
-libmysqlclient_@SHARED_LIB_MAJOR_VERSION@ { global: *; };
+libdrizzle_@SHARED_LIB_MAJOR_VERSION@ { global: *; };

=== modified file 'libdrizzle/net_serv.c'
--- libmysql/net_serv.c	2008-07-03 00:14:39 +0000
+++ libdrizzle/net_serv.c	2008-07-09 12:31:20 +0000
@@ -18,8 +18,8 @@
   embedded library
  */
 #include <my_global.h>
-#include <mysql.h>
-#include <mysql_com.h>
+#include <drizzle.h>
+#include <drizzle_com.h>
 #include <mysqld_error.h>
 #include <my_sys.h>
 #include <m_string.h>

=== modified file 'sql-common/pack.c'
--- sql-common/pack.c	2008-07-07 14:25:25 +0000
+++ sql-common/pack.c	2008-07-09 12:46:24 +0000
@@ -14,8 +14,7 @@
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
 #include <my_global.h>
-#include <mysql_com.h>
-#include <mysql.h>
+#include <drizzle.h>
 
 /* Get the length of next field. Change parameter to point at fieldstart */
 ulong STDCALL net_field_length(uchar **packet)

=== modified file 'sql-common/password.c'
--- sql-common/password.c	2008-07-01 14:33:36 +0000
+++ sql-common/password.c	2008-07-09 12:31:20 +0000
@@ -62,7 +62,7 @@
 #include <my_sys.h>
 #include <m_string.h>
 #include <sha1.h>
-#include "mysql.h"
+#include "drizzle.h"
 
 /************ MySQL 3.23-4.0 authentication routines: untouched ***********/
 

=== modified file 'sql/Makefile.am'
--- sql/Makefile.am	2008-07-08 21:16:37 +0000
+++ sql/Makefile.am	2008-07-09 12:59:37 +0000
@@ -143,9 +143,9 @@
 # These are listed in 'nodist_drizzled_SOURCES'
 link_sources:
 	rm -f client.c
-	@LN_CP_F@ $(top_srcdir)/libmysql/client.c client.c
+	@LN_CP_F@ $(top_srcdir)/libdrizzle/client.c client.c
 	rm -f net_serv.c
-	@LN_CP_F@ $(top_srcdir)/libmysql/net_serv.c net_serv.c
+	@LN_CP_F@ $(top_srcdir)/libdrizzle/net_serv.c net_serv.c
 	echo timestamp > link_sources
 
 

=== modified file 'sql/gen_lex_hash.cc'
--- sql/gen_lex_hash.cc	2008-07-07 14:54:51 +0000
+++ sql/gen_lex_hash.cc	2008-07-09 12:31:20 +0000
@@ -84,7 +84,7 @@
 #define __GNU_LIBRARY__				// Skip warnings in getopt.h
 #endif
 #include <my_getopt.h>
-#include "mysql_version.h"
+#include "drizzle_version.h"
 #include "lex.h"
 
 const char *default_dbug_option="d:t:o,/tmp/gen_lex_hash.trace";

=== modified file 'sql/item.cc'
--- sql/item.cc	2008-07-08 16:17:31 +0000
+++ sql/item.cc	2008-07-09 12:31:20 +0000
@@ -18,7 +18,6 @@
 #pragma implementation				// gcc: Class implementation
 #endif
 #include "mysql_priv.h"
-#include <mysql.h>
 #include <m_ctype.h>
 #include "my_dir.h"
 #include "sql_select.h"

=== modified file 'sql/mysql_priv.h'
--- sql/mysql_priv.h	2008-07-09 07:05:02 +0000
+++ sql/mysql_priv.h	2008-07-09 12:31:20 +0000
@@ -29,7 +29,7 @@
 #ifndef MYSQL_CLIENT
 
 #include <my_global.h>
-#include <mysql_version.h>
+#include <drizzle_version.h>
 #include <my_sys.h>
 #include <my_time.h>
 #include <m_string.h>
@@ -90,7 +90,7 @@
 extern key_map key_map_full;          /* Should be threaded as const */
 extern const char *primary_key_name;
 
-#include "mysql_com.h"
+#include "drizzle_com.h"
 #include <violite.h>
 #include "unireg.h"
 

=== modified file 'sql/repl_failsafe.cc'
--- sql/repl_failsafe.cc	2008-06-25 05:29:13 +0000
+++ sql/repl_failsafe.cc	2008-07-09 12:31:20 +0000
@@ -32,7 +32,6 @@
 #include "rpl_mi.h"
 #include "rpl_filter.h"
 #include "log_event.h"
-#include <mysql.h>
 
 #define SLAVE_LIST_CHUNK 128
 #define SLAVE_ERRMSG_SIZE (FN_REFLEN+64)

=== modified file 'sql/repl_failsafe.h'
--- sql/repl_failsafe.h	2008-06-25 05:29:13 +0000
+++ sql/repl_failsafe.h	2008-07-09 12:31:20 +0000
@@ -15,7 +15,7 @@
 
 #ifdef HAVE_REPLICATION
 
-#include "mysql.h"
+#include "mysql_priv.h"
 #include "my_sys.h"
 #include "slave.h"
 

=== modified file 'sql/rpl_filter.h'
--- sql/rpl_filter.h	2008-06-25 05:29:13 +0000
+++ sql/rpl_filter.h	2008-07-09 12:31:20 +0000
@@ -16,7 +16,7 @@
 #ifndef RPL_FILTER_H
 #define RPL_FILTER_H
 
-#include "mysql.h"
+#include "drizzle.h"
 
 typedef struct st_table_rule_ent
 {

=== modified file 'sql/set_var.cc'
--- sql/set_var.cc	2008-07-09 01:28:43 +0000
+++ sql/set_var.cc	2008-07-09 16:03:07 +0000
@@ -52,7 +52,6 @@
 #endif
 
 #include "mysql_priv.h"
-#include <mysql.h>
 #include "slave.h"
 #include "rpl_mi.h"
 #include <my_getopt.h>

=== modified file 'sql/slave.cc'
--- sql/slave.cc	2008-07-07 12:48:50 +0000
+++ sql/slave.cc	2008-07-09 12:31:20 +0000
@@ -26,7 +26,6 @@
 
 #include "mysql_priv.h"
 
-#include <mysql.h>
 #include <myisam.h>
 #include "slave.h"
 #include "rpl_mi.h"

=== modified file 'storage/archive/Makefile.am'
--- storage/archive/Makefile.am	2008-07-05 18:48:15 +0000
+++ storage/archive/Makefile.am	2008-07-09 11:56:03 +0000
@@ -85,7 +85,7 @@
 concurrency_test_LDADD =	$(top_builddir)/mysys/libmysyslt.la \
 			$(d_dbug) \
 			$(top_builddir)/strings/libmystringslt.la \
-			$(top_builddir)/libmysql/libmysqlclient.la \
+			$(top_builddir)/libdrizzle/libdrizzle.la \
 			$(LDADD) \
 			-lz
 concurrency_test_LDFLAGS =

=== modified file 'storage/archive/archive_performance.c'
--- storage/archive/archive_performance.c	2008-07-07 14:25:25 +0000
+++ storage/archive/archive_performance.c	2008-07-09 12:31:20 +0000
@@ -20,7 +20,7 @@
 #include <stdlib.h>
 #include <string.h>
 #include <my_getopt.h>
-#include <mysql_version.h>
+#include <drizzle_version.h>
 
 #define ARCHIVE_ROW_HEADER_SIZE 4
 

=== modified file 'storage/archive/archive_reader.c'
--- storage/archive/archive_reader.c	2008-07-06 09:58:04 +0000
+++ storage/archive/archive_reader.c	2008-07-09 12:31:20 +0000
@@ -6,7 +6,7 @@
 #include <m_ctype.h>
 #include <m_string.h>
 #include <my_getopt.h>
-#include <mysql_version.h>
+#include <drizzle_version.h>
 
 #define BUFFER_LEN 1024
 #define ARCHIVE_ROW_HEADER_SIZE 4

=== modified file 'storage/archive/archive_test.c'
--- storage/archive/archive_test.c	2008-07-07 14:25:25 +0000
+++ storage/archive/archive_test.c	2008-07-09 12:31:20 +0000
@@ -19,7 +19,7 @@
 #include <stdio.h>
 #include <string.h>
 #include <my_getopt.h>
-#include <mysql_version.h>
+#include <drizzle_version.h>
 
 #define ARCHIVE_ROW_HEADER_SIZE 4
 

=== modified file 'storage/archive/concurrency_test.c'
--- storage/archive/concurrency_test.c	2008-06-25 05:29:13 +0000
+++ storage/archive/concurrency_test.c	2008-07-09 12:31:20 +0000
@@ -2,9 +2,9 @@
   Just a test application for threads.
   */
 #include "azio.h"
-#include <mysql.h>
+#include <drizzle.h>
 #include <my_getopt.h>
-#include <mysql_version.h>
+#include <drizzle_version.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <sys/types.h>

=== modified file 'storage/innobase/dict/dict0load.c'
--- storage/innobase/dict/dict0load.c	2008-06-25 05:29:13 +0000
+++ storage/innobase/dict/dict0load.c	2008-07-09 12:31:20 +0000
@@ -9,7 +9,7 @@
 
 #include "dict0load.h"
 #ifndef UNIV_HOTBACKUP
-#include "mysql_version.h"
+#include "drizzle_version.h"
 #endif /* !UNIV_HOTBACKUP */
 
 #ifdef UNIV_NONINL

=== modified file 'support-files/Makefile.am'
--- support-files/Makefile.am	2008-07-07 22:16:29 +0000
+++ support-files/Makefile.am	2008-07-09 11:56:03 +0000
@@ -16,15 +16,15 @@
 # MA 02111-1307, USA
 
 pkgconfigdir = $(libdir)/pkgconfig
-pkgconfig_DATA = libmysqlclient.pc
+pkgconfig_DATA = libdrizzle.pc
 
 # Default same as 'pkgdatadir', but we can override it
 pkgsuppdir =		$(datadir)/@PACKAGE@
 
-pkgsupp_DATA =		mysql-log-rotate
+pkgsupp_DATA =		drizzle-log-rotate
 
-pkgsupp_SCRIPTS =	mysql.server 
+pkgsupp_SCRIPTS =	drizzle.server 
 
 aclocaldir =		$(datadir)/aclocal
-aclocal_DATA =		mysql.m4
+aclocal_DATA =		drizzle.m4
 

=== renamed file 'support-files/mysql-log-rotate.in' => 'support-files/drizzle-log-rotate.in'
=== renamed file 'support-files/mysql.m4' => 'support-files/drizzle.m4'
=== renamed file 'support-files/mysql.server.in' => 'support-files/drizzle.server.in'
=== renamed file 'support-files/libmysqlclient.pc.in' => 'support-files/libdrizzle.pc.in'
--- support-files/libmysqlclient.pc.in	2008-07-07 22:16:29 +0000
+++ support-files/libdrizzle.pc.in	2008-07-09 11:56:03 +0000
@@ -3,9 +3,9 @@
 libdir=@libdir@
 includedir=@includedir@
 
-Name: libmysqlclient
+Name: libdrizzle
 Description: Drizzle Client C library.
 Version: @VERSION@
-Libs: -L${libdir} -lmysqlclient
+Libs: -L${libdir} -ldrizzle
 Cflags: -I${includedir}
 

=== renamed directory 'mysql-test' => 'test'
=== modified file 'test/Makefile.am'
--- mysql-test/Makefile.am	2008-07-08 17:07:44 +0000
+++ test/Makefile.am	2008-07-09 12:59:37 +0000
@@ -23,8 +23,8 @@
 testdir =	        $(benchdir_root)/mysql-test
 EXTRA_SCRIPTS = 	valgrind.supp $(PRESCRIPTS)
 EXTRA_DIST = 		$(EXTRA_SCRIPTS) suite
-GENSCRIPTS =		install_test_db mtr mysql-test-run
-PRESCRIPTS =		mysql-test-run.pl mysql-stress-test.pl
+GENSCRIPTS =		install_test_db dtr drizzle-test-run
+PRESCRIPTS =		drizzle-test-run.pl drizzle-stress-test.pl
 test_SCRIPTS = 		$(GENSCRIPTS) $(PRESCRIPTS)
 CLEANFILES = 		$(GENSCRIPTS)
 noinst_PROGRAMS = 	resolve_stack_dump
@@ -126,13 +126,14 @@
 uninstall-local:
 	@RM@ -f -r $(DESTDIR)$(testdir)
 
-# mtr - a shortcut for executing mysql-test-run.pl
-mtr:
-	$(RM) -f mtr
-	$(LN_S) mysql-test-run.pl mtr
+# dtr - a shortcut for executing drizzle-test-run.pl
+dtr:
+	$(RM) -f mtr dtr
+	$(LN_S) drizzle-test-run.pl mtr
+	$(LN_S) drizzle-test-run.pl dtr
 
-# mysql-test-run - a shortcut for executing mysql-test-run.pl
-mysql-test-run:
-	$(RM) -f mysql-test-run
-	$(LN_S) mysql-test-run.pl mysql-test-run
+# drizzle-test-run - a shortcut for executing drizzle-test-run.pl
+drizzle-test-run:
+	$(RM) -f drizzle-test-run
+	$(LN_S) drizzle-test-run.pl drizzle-test-run
 

=== renamed file 'mysql-test/mysql-stress-test.pl' => 'test/drizzle-stress-test.pl'
=== renamed file 'mysql-test/mysql-test-run.pl' => 'test/drizzle-test-run.pl'
--- mysql-test/mysql-test-run.pl	2008-07-08 00:20:35 +0000
+++ test/drizzle-test-run.pl	2008-07-09 12:46:24 +0000
@@ -4,7 +4,7 @@
 #
 ##############################################################################
 #
-#  mysql-test-run.pl
+#  drizzle-test-run.pl
 #
 #  Tool used for executing a suite of .test file
 #
@@ -49,7 +49,7 @@
 # A nice way to trace the execution of this script while debugging
 # is to use the Devel::Trace package found at
 # "http://www.plover.com/~mjd/perl/Trace/" and run this script like
-# "perl -d:Trace mysql-test-run.pl"
+# "perl -d:Trace drizzle-test-run.pl"
 #
 
 
@@ -591,10 +591,10 @@
   }
 
   # We require that we are in the "mysql-test" directory
-  # to run mysql-test-run
+  # to run drizzle-test-run
   if (! -f $glob_scriptname)
   {
-    mtr_error("Can't find the location for the mysql-test-run script\n" .
+    mtr_error("Can't find the location for the drizzle-test-run script\n" .
               "Go to to the mysql-test directory and execute the script " .
               "as follows:\n./$glob_scriptname");
   }
@@ -1304,7 +1304,7 @@
 ##############################################################################
 #
 #  Set environment to be used by childs of this process for
-#  things that are constant duting the whole lifetime of mysql-test-run.pl
+#  things that are constant duting the whole lifetime of drizzle-test-run.pl
 #
 ##############################################################################
 
@@ -2061,7 +2061,7 @@
   }
   check_running_as_root();
 
-  mtr_log_init("$opt_vardir/log/mysql-test-run.log");
+  mtr_log_init("$opt_vardir/log/drizzle-test-run.log");
 
 }
 

=== modified file 'test/resolve_stack_dump.c'
--- mysql-test/resolve_stack_dump.c	2008-07-08 17:07:44 +0000
+++ test/resolve_stack_dump.c	2008-07-09 13:15:24 +0000
@@ -13,7 +13,7 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
-/* Resolve numeric stack dump produced by mysqld 3.23.30 and later
+/* Resolve numeric stack dump produced by drizzled 3.23.30 and later
    versions into symbolic names. By Sasha Pachev <sasha@mysql.com>
  */
 
@@ -21,7 +21,7 @@
 #include <m_ctype.h>
 #include <my_sys.h>
 #include <m_string.h>
-#include <mysql_version.h>
+#include <drizzle_version.h>
 #include <errno.h>
 #include <my_getopt.h>
 
@@ -61,7 +61,7 @@
 };
 
 
-static void verify_sort();
+static void verify_sort(void);
 
 
 #include <help_start.h>
@@ -73,7 +73,7 @@
 }
 
 
-static void usage()
+static void usage(void)
 {
   print_version();
   printf("MySQL AB, by Sasha Pachev\n");
@@ -84,8 +84,8 @@
   my_print_help(my_long_options);
   my_print_variables(my_long_options);
   printf("\n\
-The symbols-file should include the output from:  'nm --numeric-sort mysqld'.\n\
-The numeric-dump-file should contain a numeric stack trace from mysqld.\n\
+The symbols-file should include the output from:  'nm --numeric-sort drizzled'.\n\
+The numeric-dump-file should contain a numeric stack trace from drizzled.\n\
 If the numeric-dump-file is not given, the stack trace is read from stdin.\n");
 }
 
@@ -158,7 +158,7 @@
 }
 
 
-static void open_files()
+static void open_files(void)
 {
   fp_out = stdout;
   fp_dump = stdin;
@@ -168,7 +168,7 @@
   /* if name not given, assume stdin*/
 
   if (!sym_fname)
-    die("Please run nm --numeric-sort on mysqld binary that produced stack \
+    die("Please run nm --numeric-sort on drizzled binary that produced stack \
 trace dump and specify the path to it with -s or --symbols-file");
   if (!(fp_sym = my_fopen(sym_fname, O_RDONLY, MYF(MY_WME))))
     die("Could not open %s", sym_fname);
@@ -222,7 +222,7 @@
   return 0;
 }
 
-static void init_sym_table()
+static void init_sym_table(void)
 {
   char buf[512];
   if (my_init_dynamic_array(&sym_table, sizeof(SYM_ENTRY), INIT_SYM_TABLE,
@@ -241,7 +241,7 @@
   verify_sort();
 }
 
-static void clean_up()
+static void clean_up(void)
 {
   delete_dynamic(&sym_table);
 }
@@ -284,7 +284,7 @@
 }
 
 
-static void do_resolve()
+static void do_resolve(void)
 {
   char buf[1024], *p;
   while (fgets(buf, sizeof(buf), fp_dump))

=== modified file 'vio/vio_priv.h'
--- vio/vio_priv.h	2008-07-01 21:25:46 +0000
+++ vio/vio_priv.h	2008-07-09 12:31:20 +0000
@@ -17,19 +17,13 @@
 
 #define DONT_MAP_VIO
 #include <my_global.h>
-#include <mysql_com.h>
+#include <drizzle_com.h>
 #include <my_sys.h>
 #include <m_string.h>
 #include <violite.h>
 
-/* Windows lacks a netdb.h */
-#ifdef __WIN__
-#include <Ws2tcpip.h>
-#else
 #include <sys/socket.h>
 #include <netdb.h>
-#endif
-
 
 void	vio_ignore_timeout(Vio *vio, uint which, uint timeout);
 void	vio_timeout(Vio *vio,uint which, uint timeout);

